Package org.drinkless.tdlib

# Class TdApi.DeleteLanguagePack

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.DeleteLanguagePack

Enclosing class:
  `TdApi`

public static class TdApi.DeleteLanguagePack extends TdApi.Function<TdApi.Ok>
Deletes all information about a language pack in the current localization target. The language pack which is currently in use (including base language pack) or is being synchronized can't be deleted. Can be called before authorization.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `languagePackId`
  Identifier of the language pack to delete.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteLanguagePack()`
  Default constructor for a function, which deletes all information about a language pack in the current localization target.
  `DeleteLanguagePack(String languagePackId)`
  Creates a function, which deletes all information about a language pack in the current localization target.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### languagePackId

    public String languagePackId
    Identifier of the language pack to delete.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DeleteLanguagePack

    public DeleteLanguagePack()
    Default constructor for a function, which deletes all information about a language pack in the current localization target. The language pack which is currently in use (including base language pack) or is being synchronized can't be deleted. Can be called before authorization.

    Returns `Ok`

  - ### DeleteLanguagePack

    public DeleteLanguagePack(String languagePackId)
    Creates a function, which deletes all information about a language pack in the current localization target. The language pack which is currently in use (including base language pack) or is being synchronized can't be deleted. Can be called before authorization.

    Returns `Ok`

    Parameters:
      `languagePackId` - Identifier of the language pack to delete.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR